Försöker uppdatera till flash 10.1

Permalänk

Försöker uppdatera till flash 10.1

Hejsan allihopa

Jag har debian lenny amd 64 med iceweasel version 3.0.6 .

När jag går in på Adobes sida om flash så säger dom att jag har version 10.0.45.2 installerat på mitt system.

Jag har packetet flashplugin-nonfree installerat.

I menyn verktyg i Iceweasel så väljer jag instickmoduler . Där har jag en massa saker bland annat flash 9 och flash 10 . Hur får jag bort dessa ?

Jag skulle vilja ta bort allt som har med flash , och installera flash 10.1 utan att jag skall behöva ta bort hela iceweasel med historik som historik och sparade bokmärken.

Jag skulle gärna vilja veta exakt var dom här instickmodulerna ligger i filsystemet.

Om Det är mer info ni behöver för att hjälpa mig med detta här problemet det är bara att skriva frågor.

Tack på förhand

Permalänk
Medlem

Adobe har tagit och skitit i att släppa en 64bitars version av 10.1 så det är nog bäst om du stannar kvar med 10.0.45.2 tills HTML5 video tar över.
Personligen tycker jag att det är lite konstigt att Adobe som vill ha kvar Flash som internet standard hjälper till med migrationen till HTML5

Permalänk
Medlem

Testar YouTube/HTML5 med Safari 5 och det fungerar enormt bra nu, fixar de bara fullskärm och får med IE9 i leken så kan de ta bort Flashstödet på Youtube.

Microsoft har ju sagt att de stöder HTML5 helhjärtat, och fullskärm fungerar i webkit's development build.
Detta ser mycket bra ut för alla utom Adobe.

Skrivet av Dark Defender:

Adobe har tagit och skitit i att släppa en 64bitars version av 10.1 så det är nog bäst om du stannar kvar med 10.0.45.2 tills HTML5 video tar över.
Personligen tycker jag att det är lite konstigt att Adobe som vill ha kvar Flash som internet standard hjälper till med migrationen till HTML5

Permalänk
Medlem

Jag använde sökverktyget och ersatte alla libflashplayer.so överallt i burken med den nya, eftersom den inte är 64-bitars kräver den antagligen att ia32-libs och nspluginwrapper är installerat men det fungerar i alla fall. Jag har tittat på ryckfri 1080P-video på Youtube idag, med Firefox. Däremot buggar det ibland på vissa sidor, så det är inte felfritt, även om det kan visa 1080P.

Permalänk

oki då ska jag låta bli att få in flash 10.1 . hur skall jag göra med alla mina insticksmoduler som jag vill ha bort ??

Permalänk
Medlem

Det vart alldrig nått stöd för video accelering i 10.1 så det är inge bättre för tillfället.

Permalänk
Medlem

Nej, det verkar inte vara någon accellerering på gång, i mitt fall orkar cpu utan vidare driva fullskärm men på en netbook/nettopp är det ju ingen höjdare. Dåligt av Adobe. Pluginen fungerar i alla fall, även om den inte tillför något.

Permalänk
Medlem

Det kan ju tilläggas att det finns kända och använda exploits till Flashplayer 10.0.45.2 så jag har avinstallerat allt flash tills Adobe åtminstone släpper en säkerhetsfix till Amd64.

Permalänk
Medlem

Hittade ett script på Internet som hjälpte mig med detta.

Skapa en fil vid namn "fash10_en.sh" i tex Downloads

Klipp och klistra in detta i filen använd "gedit"

#!/bin/bash
# Script created by
# Romeo-Adrian Cioaba romeo.cioaba@spotonearth.com
# Super minor updates by jason.melton[at]gmail[dot]com
# Updates by Alejandro Cuervo 3[at]cuervo[dot]net
# more very minor updates by damien[at]groovey[dot]com
# Released under GPL

echo "Closing Firefox"
sudo killall -9 firefox

echo "Downloading and instaling Getlibs for required libraries"
wget http://www.boundlesssupremacy.com/Cappy/getlibs/getlibs-all.d...
sudo dpkg -i getlibs-all.deb

echo "Removing previous installs of flash:"
sudo apt-get remove -y --purge flashplugin-nonfree gnash gnash-common mozilla-plugin-gnash swfdec-mozilla libflashsupport nspluginwrapper
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

echo "Installing ia32-libs and nspluginwrapper"
sudo apt-get install ia32-libs nspluginwrapper

echo "Getting libs"
sudo getlibs -p libcurl3
sudo getlibs -p libnss3-1d
sudo getlibs -p libnspr4-0d

echo "Installing Flash Player 10"
cd ~
wget http://fpdownload.macromedia.com/get/flashplayer/current/inst...
tar zxvf install_flash_player_10_linux.tar.gz
sudo mv libflashplayer.so /usr/lib/mozilla/plugins/
sudo nspluginwrapper -i /usr/lib/mozilla/plugins/libflashplayer.so

echo "Linking the libraries so that firefox can see them."
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/mozilla/plugins/
sudo ln -sf /usr/lib/nspluginwrapper/plugins/npwrapper.libflashplayer.so /usr/lib/firefox-addons/plugins/

echo "Done :-)"
echo "You may re-start Firefox now"

Spara filen och kör scriptet

sh fash10_en.sh

Testa sen om det funkar vid att besöka den här adressen

Adobe - Flash Player

Permalänk
Medlem
Skrivet av A7V:

Det kan ju tilläggas att det finns kända och använda exploits till Flashplayer 10.0.45.2 så jag har avinstallerat allt flash tills Adobe åtminstone släpper en säkerhetsfix till Amd64.

Du ligger lite efter, det är 10.1.53.64 vi pratar om här, alltså är antagligen säkerhetsfixen och en hel del till inlagt sedan länge.

Permalänk
Medlem

Men finns 10.1.53.64 i 64-bit version för Linux?
Arch Linux - News: flashplugin x86_64 package dropped
Verkar inte finnas något paket för Arch Linux 64-bit just nu.

Permalänk
Medlem
Skrivet av ronnylov:

Men finns 10.1.53.64 i 64-bit version för Linux?
Arch Linux - News: flashplugin x86_64 package dropped
Verkar inte finnas något paket för Arch Linux 64-bit just nu.

Nej, den finns inte i 64-bitars, det är därför man måste ha ia32-libs och nspluginwrapper, som vi diskuterar ovan. Det fungerar hyggligt om man har en tillräckligt bra dator, men kanske inget att rekommendera för en netbook/nettop tyvärr.

Permalänk
Medlem
Skrivet av the squonk:

Du ligger lite efter, det är 10.1.53.64 vi pratar om här, alltså är antagligen säkerhetsfixen och en hel del till inlagt sedan länge.

Skrivet av the squonk:

Nej, den finns inte i 64-bitars, det är därför man måste ha ia32-libs och nspluginwrapper, som vi diskuterar ovan. Det fungerar hyggligt om man har en tillräckligt bra dator, men kanske inget att rekommendera för en netbook/nettop tyvärr.

Jag fick inte igång 32bitar Flash på min burk så därför avinstallerade jag allt vad flash heter tills Adobe kan besvära sig att släppa en säkerhetspatch även för 64bitars. Det känns inte förtroendeingivande att det har gått en vecka snart sedan de släppte säkerhetspatchen till 32bitars flash.

Men jag tackar för följande tips som kanske förklarade varför 32bitars Flash och nspluginwrapper inte funkade för mig:

Skrivet av Redemp:

Hittade ett script på Internet som hjälpte mig med detta.
echo "Getting libs"
sudo getlibs -p libcurl3
sudo getlibs -p libnss3-1d
sudo getlibs -p libnspr4-0d

Testa sen om det funkar vid att besöka den här adressen
Adobe - Flash Player